directories:
  output: release/build
  buildResources: assets
  app: release/app
productName: AdvisionPlayer
appId: advision.player
asar: true
asarUnpack: '**\*.{node,dll}'
files:
  - filter:
      - dist
      - node_modules
      - package.json
afterSign: .erb/scripts/notarize.js
mac:
  target:
    target: default
    arch:
      - arm64
      - x64
  type: distribution
  hardenedRuntime: true
  entitlements: assets/entitlements.mac.plist
  entitlementsInherit: assets/entitlements.mac.plist
  gatekeeperAssess: false
dmg:
  contents:
    - x: 130
      'y': 220
    - x: 410
      'y': 220
      type: link
      path: /Applications
win:
  target:
    - nsis
linux:
  target:
    - AppImage
    - deb
  category: AudioVideo
  maintainer: Alexander Kosianchuk <alexanderkosianchuk@gmail.com>
extraResources:
  - filter:
      - ./assets/**
publish:
  provider: github
  owner: alexanderkosianchuk
  repo: advision.player
electronVersion: 20.3.12
